"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.CredentialProblemReportError = void 0;
const messages_1 = require("../protocol/v1/messages");
const ProblemReportError_1 = require("./../../problem-reports/errors/ProblemReportError");
class CredentialProblemReportError extends ProblemReportError_1.ProblemReportError {
    constructor(message, { problemCode }) {
        super(message, { problemCode });
        this.problemReport = new messages_1.V1CredentialProblemReportMessage({
            description: {
                en: message,
                code: problemCode,
            },
        });
    }
}
exports.CredentialProblemReportError = CredentialProblemReportError;
//# sourceMappingURL=CredentialProblemReportError.js.map