import type { AgentConfig } from '../../../../../agent/AgentConfig';
import type { MessageHandler, MessageHandlerInboundMessage } from '../../../../../agent/MessageHandler';
import type { DidCommMessageRepository } from '../../../../../storage';
import type { ProofResponseCoordinator } from '../../../ProofResponseCoordinator';
import type { V1ProofService } from '../V1ProofService';
import { OutboundMessageContext } from '../../../../../agent/models';
import { V1PresentationMessage } from '../messages';
export declare class V1PresentationHandler implements MessageHandler {
    private proofService;
    private agentConfig;
    private proofResponseCoordinator;
    private didCommMessageRepository;
    supportedMessages: (typeof V1PresentationMessage)[];
    constructor(proofService: V1ProofService, agentConfig: AgentConfig, proofResponseCoordinator: ProofResponseCoordinator, didCommMessageRepository: DidCommMessageRepository);
    handle(messageContext: MessageHandlerInboundMessage<V1PresentationHandler>): Promise<OutboundMessageContext<import("../../../../..").AgentMessage> | undefined>;
    private createAck;
}
