import type { AgentConfig } from '../../../../../agent/AgentConfig';
import type { MessageHandler, MessageHandlerInboundMessage } from '../../../../../agent/MessageHandler';
import type { DidCommMessageRepository } from '../../../../../storage';
import type { ProofResponseCoordinator } from '../../../ProofResponseCoordinator';
import type { V2ProofService } from '../V2ProofService';
import { OutboundMessageContext } from '../../../../../agent/models';
import { V2PresentationMessage } from '../messages';
export declare class V2PresentationHandler implements MessageHandler {
    private proofService;
    private agentConfig;
    private proofResponseCoordinator;
    private didCommMessageRepository;
    supportedMessages: (typeof V2PresentationMessage)[];
    constructor(proofService: V2ProofService, agentConfig: AgentConfig, proofResponseCoordinator: ProofResponseCoordinator, didCommMessageRepository: DidCommMessageRepository);
    handle(messageContext: MessageHandlerInboundMessage<V2PresentationHandler>): Promise<OutboundMessageContext<import("../../../../..").AgentMessage> | undefined>;
    private createAck;
}
